# Uses of Class
javax.swing.event.HyperlinkEvent

Packages that use HyperlinkEvent
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.event
Provides for events fired by Swing components.
javax.swing.text.html
Provides the class `HTMLEditorKit` and supporting classes for creating HTML text editors.

## Uses of HyperlinkEvent in javax.swing

Methods in javax.swing with parameters of type HyperlinkEvent
Modifier and Type
Method
Description
`void`
JEditorPane.`fireHyperlinkUpdate(HyperlinkEvent e)`
Notifies all listeners that have registered interest for notification on this event type.

## Uses of HyperlinkEvent in javax.swing.event

Methods in javax.swing.event with parameters of type HyperlinkEvent
Modifier and Type
Method
Description
`void`
HyperlinkListener.`hyperlinkUpdate(HyperlinkEvent e)`
Called when a hypertext link is updated.

## Uses of HyperlinkEvent in javax.swing.text.html

Subclasses of HyperlinkEvent in javax.swing.text.html
Modifier and Type
Class
Description
`final class`
`FormSubmitEvent`
FormSubmitEvent is used to notify interested parties that a form was submitted.
`class`
`HTMLFrameHyperlinkEvent`
HTMLFrameHyperlinkEvent is used to notify interested parties that link was activated in a frame.